# Supported OS types

* Vendor
  * OS model
* A10 Networks
  * [ACOS](/lib/oxidized/model/acos.rb)
* Accedian Performance Elements (NIDs)
  * [AEN](/lib/oxidized/model/aen.rb)
* Adtran
  * [Total Access (AOS)](/lib/oxidized/model/adtran.rb)
* Alcatel-Lucent
  * [AOS](/lib/oxidized/model/aos.rb)
  * [AOS7](/lib/oxidized/model/aos7.rb)
  * [ISAM](/lib/oxidized/model/isam.rb)
  * [SR OS (Formerly TiMOS)](/lib/oxidized/model/sros.rb)
  * Wireless
* Allied Telesis
  * [Alliedware Plus](/lib/oxidized/model/awplus.rb)
  * [AT-8000S, AT-8000GS series](/lib/oxidized/model/powerconnect.rb)
* Alvarion
  * [BreezeACCESS](/lib/oxidized/model/alvarion.rb)
* APC
  * [AOS](/lib/oxidized/model/apc_aos.rb)
* Arbor Networks
  * [ArbOS](/lib/oxidized/model/arbos.rb)
* Arista
  * [EOS](/lib/oxidized/model/eos.rb)
* Arris
  * [C4CMTS](/lib/oxidized/model/c4cmts.rb)
* Aruba
  * [AOSW](/lib/oxidized/model/aosw.rb)
* AudioCodes
  * [AudioCodes](/lib/oxdized/model/audiocodes.rb)
  * [MediaPack MP-1xx, Mediant1000](/lib/oxdized/model/audiocodesmp.rb)
* Avaya
  * [VOSS (VSP Operating System Software)](/lib/oxidized/model/voss.rb)
  * [BOSS (Baystack Operating System Software)](/lib/oxidized/model/boss.rb)
* Brocade
  * [FabricOS](/lib/oxidized/model/fabricos.rb)
  * [FastIron](/lib/oxidized/model/fastiron.rb)
  * [IronWare](/lib/oxidized/model/ironware.rb)
  * [NOS (Network Operating System)](/lib/oxidized/model/nos.rb)
  * [Vyatta](/lib/oxidized/model/vyatta.rb)
  * [6910](/lib/oxidized/model/br6910.rb)
  * [SLX-OS](/lib/oxidized/model/slxos.rb)
* Calix
  * [AXOS](/lib/oxidized/model/axos.rb)
* Cambium
  * [Cambium (PMP450 Series)](/lib/oxidized/model/cambium.rb)
* Casa
  * [Casa](/lib/oxidized/model/casa.rb)
* Centec Networks
  * [CNOS](/lib/oxidized/model/cnos.rb)
* Check Point
  * [GaiaOS](/lib/oxidized/model/gaiaos.rb)
* Ciena
  * [SAOS](/lib/oxidized/model/saos.rb)
* Cisco
  * [ACSW](/lib/oxidized/model/acsw.rb)
  * [AireOS](/lib/oxidized/model/aireos.rb)
  * [ASA](/lib/oxidized/model/asa.rb)
  * [AsyncOS](/lib/oxidized/model/asyncos.rb)
  * [CatOS](/lib/oxidized/model/catos.rb)
  * [FireLinuxOS](lib/oxidized/model/firelinuxos.rb)
  * [IOS](/lib/oxidized/model/ios.rb)
  * [IOSXR](/lib/oxidized/model/iosxr.rb)
  * [NGA](/lib/oxidized/model/cisconga.rb)
  * [NXOS](/lib/oxidized/model/nxos.rb)
  * [SMA](/lib/oxidized/model/ciscosma.rb)
  * [SMB (Nikola series)](/lib/oxidized/model/ciscosmb.rb)
  * [UCS](/lib/oxidized/model/ucs.rb)
  * [VPN3000](/lib/oxidized/model/ciscovpn3k.rb)
* Citrix
  * [NetScaler (Virtual Applicance)](/lib/oxidized/model/netscaler.rb)
* Coriant (former Tellabs)
  * [TMOS (8800)](/lib/oxidized/model/corianttmos.rb)
  * [8600](/lib/oxidized/model/coriant8600.rb)
  * [Groove](/lib/oxidized/model/coriantgroove.rb)
* ComNet
  * [ComNet Microsemi Switch](/lib/oxidized/model/comnetms.rb)
* Comtrol
  * [RocketLinx](/lib/oxidized/model/comtrol.rb)
* Cumulus
  * [Linux](/lib/oxidized/model/cumulus.rb)
* DataCom
  * [DmSwitch 3000](/lib/oxidized/model/datacom.rb)
* DCN
  * [DCN](/lib/oxidized/model/ios.rb) - Map this to ios.
* DELL
  * [PowerConnect](/lib/oxidized/model/powerconnect.rb)
  * [AOSW](/lib/oxidized/model/aosw.rb)
  * [DellX](/lib/oxidized/model/dellx.rb)
  * [Dell EMC Networking OS10](/lib/oxidized/model/os10.rb)
* D-Link
  * [D-Link](/lib/oxidized/model/dlink.rb)
* ECI Telecom
  * [ECIapollo](/lib/oxidized/model/eciapollo.rb)
* EdgeCore
  * [ES3528M](/lib/oxidized/model/edgecos.rb)
* Ericsson/Redback
  * [IPOS (former SEOS)](/lib/oxidized/model/ipos.rb)
* Extreme Networks
  * [Enterasys](/lib/oxidized/model/enterasys.rb)
  * [WM](/lib/oxidized/model/mtrlrfs.rb)
  * [XOS](/lib/oxidized/model/xos.rb)
  * [ExtremeWare](/lib/oxidized/model/xos.rb)
* F5
  * [TMOS](/lib/oxidized/model/tmos.rb)
* Fiberstore
  * [S3800](/lib/oxidized/model/gcombnps.rb)
  * [S3900](/lib/oxidized/model/edgecos.rb)
  * [S5800](/lib/oxidized/model/cnos.rb)
  * [S5850](/lib/oxidized/model/cnos.rb)
* Firebrick
  * [FBxxxx](/lib/oxidized/model/firebrick.rb)
* Force10
  * [DNOS](/lib/oxidized/model/dnos.rb)
  * [FTOS](/lib/oxidized/model/ftos.rb)
* FortiGate
  * [FortiOS](/lib/oxidized/model/fortios.rb)
* Fujitsu
  * [PRIMERGY Blade switch 1/10Gbe](/lib/oxidized/model/fujitsupy.rb)
* GCOM Technologies
  * [Broadband Network Platform Software](/lib/oxidized/model/gcombnps.rb)
* Grandstream Networks
  * [GSX](/lib/oxidized/model/grandstream.rb)
* Hatteras
  * [Hatteras](/lib/oxidized/model/hatteras.rb)
* Hillstone Networks
  * [StoneOS](/lib/oxidized/model/stoneos.rb)
* Hirschmann
  * [HiOS](/lib/oxidized/model/hirschmann.rb)
* HP
  * [Comware (HP A-series, H3C, 3Com)](/lib/oxidized/model/comware.rb)
  * [Procurve](/lib/oxidized/model/procurve.rb)
  * [BladeSystem (Onboard Administrator)](/lib/oxidized/model/hpebladesystem.rb)
  * [MSA](/lib/oxidized/model/hpemsa.rb)
  * [MSM (Wireless Controller)](/lib/oxidized/model/hpmsm.rb)
* Huawei
  * [VRP](/lib/oxidized/model/vrp.rb)
  * [SmartAX series](/lib/oxidized/model/smartax.rb)
* Icotera
  * [6400 series](/lib/oxidized/model/icotera.rb)
* Juniper
  * [JunOS](/lib/oxidized/model/junos.rb)
  * [ScreenOS (Netscreen)](/lib/oxidized/model/screenos.rb)
* Linuxgeneric
  * [CentOS](/lib/oxidized/model/linuxgeneric.rb)
* Mellanox
  * [MLNX-OS](/lib/oxidized/model/mlnxos.rb)
  * [Voltaire](/lib/oxidized/model/voltaire.rb)
* Mikrotik
  * [RouterOS](/lib/oxidized/model/routeros.rb)
* Motorola
  * [RFS](/lib/oxidized/model/mtrlrfs.rb)
* MRV
  * [MasterOS](/lib/oxidized/model/masteros.rb)
  * [FiberDriver](/lib/oxidized/model/fiberdriver.rb)
* Netgear
  * [Netgear switches](/lib/oxidized/model/netgear.rb)
* Netonix
  * [WISP Switch (As Netonix)](/lib/oxidized/model/netonix.rb)
* Nokia (formerly TiMetra, Alcatel, Alcatel-Lucent)
  * [SR OS (TiMOS)](/lib/oxidized/model/sros.rb)
* OneAccess
  * [OneOS](/lib/oxidized/model/oneos.rb)
  * [TDRE](/lib/oxidized/model/tdre.rb)
* [OpenBSD](/lib/oxidized/model/openbsd.rb)
* Opengear
  * [Opengear](/lib/oxidized/model/opengear.rb)
* [OpenWRT](/lib/oxidized/model/openwrt.rb)
* [OPNsense](/lib/oxidized/model/opnsense.rb)
* Palo Alto
  * [PANOS](/lib/oxidized/model/panos.rb)
* [PLANET SG/SGS Switches](/lib/oxidized/model/planet.rb)
* [pfSense](/lib/oxidized/model/pfsense.rb)
* Pure Storage
  * [PurityOS](/lib/oxidized/model/purityos.rb)
* Radware
  * [AlteonOS](/lib/oxidized/model/alteonos.rb)
* Raisecom
  * [Raisecom](/lib/oxidized/model/raisecom.rb)
* QTECH
  * [QSW-2800, QSW-3400, QSW-3450, QSW-3500](/lib/oxidized/model/qtech.rb)
* Quanta
  * [Quanta / VxWorks 6.6 (1.1.0.8)](/lib/oxidized/model/quantaos.rb)
* Siklu
  * [EtherHaul](/lib/oxidized/model/siklu.rb)
* SonicWALL
  * [SonicOS](lib/oxidized/model/sonicos.rb)
* SNR
  * [SNR-S300G, S2xxx, S3xxx, S4xxx](/lib/oxidized/model/dcnos.rb)
* Speedtouch
  * [Thomson Speedtouch](/lib/oxidized/model/speedtouch.rb)
* Supermicro
  * [SSE-G2252, G2252P](/lib/oxidized/model/edgecos.rb)
  * [SSE-G48-TG4, G24-TG4](/lib/oxidized/model/aricentiss.rb)
  * [SSE-X24S, X24SR, X3348S, X3348SR, X3348T, X3348TR](/lib/oxidized/model/aricentiss.rb)
  * [SBM-GEM-X2C, GEM-X2C+, GEM-X3S+, XEM-X10SM](/lib/oxidized/model/aricentiss.rb)
* Symantec
  * [Blue Coat ProxySG / Security Gateway OS (SGOS)](/lib/oxidized/model/sgos.rb)
* Telco Systems
  * [Telco Systems T-Marc 3306](/lib/oxidized/model/telco.rb)
* Trango Systems
  * [Trango](/lib/oxidized/model/trango.rb)
* TPLink
  * [TPLink](/lib/oxidized/model/tplink.rb)
  * [TL-SL5428](/lib/oxidized/model/edgecos.rb)
  * [TL-SL3428](/lib/oxidized/model/powerconnect.rb)
* Ubiquiti
  * [AirOS](/lib/oxidized/model/airos.rb)
  * [Edgeos](/lib/oxidized/model/edgeos.rb)
  * [EdgeSwitch](/lib/oxidized/model/edgeswitch.rb)
  * [AirFiber](/lib/oxidized/model/airfiber.rb)
* VMWare
  * [NSX Edge (configuration)](/lib/oxidized/model/nsxconfig.rb)
  * [NSX Edge (firewall rules)](/lib/oxidized/model/nsxfirewall.rb)
* Watchguard
  * [Fireware OS](/lib/oxidized/model/firewareos.rb)
* Westell
  * [Westell 8178G, Westell 8266G](/lib/oxidized/model/weos.rb)
* Zhone
  * [Zhone (OLT and MX)](/lib/oxidized/model/zhoneolt.rb)
* Zyxel
  * [ZyNOS](/lib/oxidized/model/zynos.rb)
  * [ZyNOS GS-series variant](/lib/oxidized/model/zynosgs.rb)
  * [NDMS](/lib/oxidized/model/ndms.rb)
